Subject: Re: [PATCH net] s390/qeth: Don't call dev_close/dev_open (DOWN/UP)

From: [email-masked]
Date: Wed, 02 Aug 2023 09:20:21 +0000

Hello:

This patch was applied to netdev/net.git (main)
by David S. Miller <[email-masked]>:

On Tue,  1 Aug 2023 10:00:16 +0200 you wrote:
> dev_close() and dev_open() are issued to change the interface state to DOWN
> or UP (dev->flags IFF_UP). When the netdev is set DOWN it loses e.g its
> Ipv6 addresses and routes. We don't want this in cases of device recovery
> (triggered by hardware or software) or when the qeth device is set
> offline.
> 
> Setting a qeth device offline or online and device recovery actions call
> netif_device_detach() and/or netif_device_attach(). That will reset or
> set the LOWER_UP indication i.e. change the dev->state Bit
> __LINK_STATE_PRESENT. That is enough to e.g. cause bond failovers, and
> still preserves the interface settings that are handled by the network
> stack.
> 
> [...]

Here is the summary with links:
  - [net] s390/qeth: Don't call dev_close/dev_open (DOWN/UP)
    https://git.kernel.org/netdev/net/c/1cfef80d4c2b

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html